Bug 617567 - Alert Notification: Save button is not working for 'System Roles' and 'System Users' alert notifications in IE7/IE8
Summary: Alert Notification: Save button is not working for 'System Roles' and 'System...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
urgent
high vote
Target Milestone: ---
: ---
Assignee: Joseph Marques
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon-sprint12-bugs
TreeView+ depends on / blocked
 
Reported: 2010-07-23 13:00 UTC by Sunil Kondkar
Modified: 2010-08-12 16:59 UTC (History)
1 user (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:59:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (54.36 KB, image/png)
2010-07-23 13:01 UTC, Sunil Kondkar
no flags Details

Description Sunil Kondkar 2010-07-23 13:00:21 UTC
Description of problem:

Save button is not working when a user adds alert notifications for 'System Roles' and 'System Users' in IE7/IE8. This works in Firefox.

IE Versions:

IE7: 7.0.5730.11
IE8: 8.0.6001.18702 

Version-Release number of selected component (if applicable):
Jon-2.4.0.GA_QA build#75

How reproducible:
Always

Steps to Reproduce:

1.Login to Jon.
2.Navigate to 'Alerts' tab of a resource say 'JBossAS Server'.
3.Create a new alert definition.
4.Click on Edit button for the 'Notification Actions'.
5.On the Alert notification page, click on 'Add New button'
6.Select the radio button for 'System Roles'.
4.Click on OK button 
5.Select the alert notification added.
7.Select a role in 'Configuration Details' section.
8.Click on 'Add Roles' button to push it to the right side table.
9.Click on 'Save' button.
  
Actual results:

Nothing happens on clicking 'Save' button and the alert notification configuration is not saved.

Expected results:

The alert notification configuration for 'System Roles' & 'System Users' should be saved successfully.

Additional info:
Please refer attached screenshot for the JavaScript error found on click of alert notification configuration 'SAVE' button.

Comment 1 Sunil Kondkar 2010-07-23 13:01:01 UTC
Created attachment 433950 [details]
Screenshot

Comment 2 Joseph Marques 2010-07-23 15:29:37 UTC
commit b227633c1d95e870b3de26d0cf622f09b4df64a8
Author: Joseph Marques <joseph@redhat.com>
Date:   Fri Jul 23 11:26:29 2010 -0400

    BZ-617567: don't use nested forms
    
* outer details.xhtml was already declaring a form for custom content beans
* roles.xhtml / subjects.xhtml, thus, don't need to define their own form

Comment 3 Corey Welton 2010-07-25 02:39:27 UTC
Verified in IE7 for system roles and system users.  Tested out some other buttons functions in there as well.  Will do IE8 next.

Comment 4 Corey Welton 2010-07-25 02:52:47 UTC
Verified in IE8:

Additional tests completed:

System Roles
* Add Roles (single and multiselect)
* Remove Roles (single and multiselect)
* Saving populated list
* Saving empty list
* Deleting all of the created alerts notifications noted above

System Users
* Add Subjects (single and multi)
* Remove Subjects (single and multi)
* Saving populated list
* Saving empty list
* Deleting all of the created alerts notifications noted above

Also did some cursory examination of the same sorts of tests in Alert Templates.

Comment 5 Corey Welton 2010-08-12 16:59:19 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.